Subaccounts
Get Subaccounts By Subaccount Id Compliance Status
GET
header
AuthorizationBearer <token>Scope: subaccounts:read
subaccount_id*stringThe subaccount's active compliance link status.
application/json- response
magic_link_id*stringsubaccount_id*stringsubaccount_name*stringlink_type*stringValue in
"registration""info_completion"status*stringValue in
"pending""submitted""rejected""approved""completed""revoked"missing_fields*array<string>Field codes still required to complete compliance.
expires_at*stringFormat
date-timesubmitted_at?|Format
date-timecreated_at*stringFormat
date-timecurl -X GET 'https://api.betaramps.com/subaccounts/string/compliance-status'Example Response
{ "magic_link_id": "ml_0192f4e5-2b3c-7d4e-8f5a-6b7c8d9e0a1b", "subaccount_id": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f", "subaccount_name": "Acme Payments LLC", "link_type": "info_completion", "status": "pending", "missing_fields": [ "email", "tax_id_number" ], "expires_at": "2026-11-06T12:00:00Z", "created_at": "2026-10-30T12:00:00Z"}